[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.Notification

Performs a notification when the menu item is added or removed.

## Declaration

Source position: menus.pp line 242

`protected procedure TMenuItem.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component for the notification.
`Operation` |  | Operation for the notification.

## Description

Notification is an overridden method in TMenuItem, and calls the inherited method on entry. Notification ensures that the class instances in Action and SubMenuImages are set to Nil when the remove Operation is received for either member.

## See also

TComponent.Notification